ODF2XML(1)

Name
odf2xml - Create OpenDocument XML file from OD? package

Synopsis

odf2xml [-e] [-o outputfile] [inputfile]

Description

OpenDocument can be a complete office document in a single XML file. The script will take an OpenDocument and create an XML file This is mainly useful XML processors such as XSL transformation.

"Inputfile" is assumed to be an OpenDocument file. If there is no inputfile, the program will read from standard input.

Options

-e
    Normally, images that are stored in the archive in the Pictures folder are ignored. Using the -e flag will embed the images in the XML as base64.

-o outputfile
    If output file is not specified output will be to standard out.

Example

    odf2xml -o file.xml  testdocument.odt

See Also

xml2odf(1)

Bugs

Doesn't handle external data -- images and such.

Author

Søren Roug
    Original author